# encoding: utf-8
$LOAD_PATH.unshift File.expand_path('../../lib', __FILE__)
require 'graphviz_diagram'

g = Graphviz::Diagram.new
g['Author'].add_attribute 'name', visibility: :private, type: 'String'
g['Author'].add_attribute 'age', visibility: :private, type: 'Age'
g['Author'].add_method 'books', type: 'Array'
g['Author'].add_method 'update', arguments: 'name, age', type: 'Boolean'

g['Book'].add_attribute 'title', type: 'String'
g['Book'].add_method 'author', type: 'Author'

g << g['Book'].belongs_to(g['Author'])
g.output png: 'book_author.png'
