# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'graphviz/diagram/version'

Gem::Specification.new do |spec|
  spec.name          = 'graphviz-diagram'
  spec.version       = Graphviz::Diagram::VERSION
  spec.authors       = ['Huang Wei']
  spec.email         = ['huangw@7lime.com']
  spec.homepage      = 'https://github.com/huangw/graphviz-diagram'
  spec.summary       = 'A simple utility for create class diagram using Graphviz.'
  spec.description   = 'A simple utility for create class diagram using Graphviz.'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'ruby-graphviz', '~> 1.2'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'rubocop', '~> 0.24'
  spec.add_development_dependency 'guard-rubocop', '~> 1.1'
  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 10'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'guard-rspec', '~> 4.2'
end
