# encoding: utf-8
require 'simplecov'
SimpleCov.start do
  add_filter 'spec'
end

ENV['APP_ROOT'] = File.expand_path('../..', __FILE__)
$LOAD_PATH.unshift File.join(ENV['APP_ROOT'], 'lib')

require 'rspec'
require 'graphviz/diagram'

def example_file(file)
  ENV['APP_ROOT'] + '/spec/support/examples/' + file
end

RSpec.configure do |config|
  # config.filter_run_excluding slow: true
  config.run_all_when_everything_filtered = false
end
